##### 7.5.10.0. makeUe7

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeUe7([p]); p an optional integer (field characteristic)

Return:
  a ring, describing U(e_7)

Note:
  You have to activate this ring with the 'setring' command. The presentation of U(e_7) is derived from the Chevalley representation of e_7, positive resp. negative roots are denoted by x(i) resp. y(i); Cartan elements are denoted by h(i).

Example:

    LIB "ncalg.lib";
    def ncAlgebra = makeUe7();
    ncAlgebra;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 133
    ==> //        block   1 : ordering dp
    ==> //                  : names    X(1) X(2) X(3) X(4) X(5) X(6) X(7) X(8) X(\
       9) X(10) X(11) X(12) X(13) X(14) X(15) X(16) X(17) X(18) X(19) X(20) X(21\
       ) X(22) X(23) X(24) X(25) X(26) X(27) X(28) X(29) X(30) X(31) X(32) X(33)\
        X(34) X(35) X(36) X(37) X(38) X(39) X(40) X(41) X(42) X(43) X(44) X(45) \
       X(46) X(47) X(48) X(49) X(50) X(51) X(52) X(53) X(54) X(55) X(56) X(57) X\
       (58) X(59) X(60) X(61) X(62) X(63) Y(1) Y(2) Y(3) Y(4) Y(5) Y(6) Y(7) Y(8\
       ) Y(9) Y(10) Y(11) Y(12) Y(13) Y(14) Y(15) Y(16) Y(17) Y(18) Y(19) Y(20) \
       Y(21) Y(22) Y(23) Y(24) Y(25) Y(26) Y(27) Y(28) Y(29) Y(30) Y(31) Y(32) Y\
       (33) Y(34) Y(35) Y(36) Y(37) Y(38) Y(39) Y(40) Y(41) Y(42) Y(43) Y(44) Y(\
       45) Y(46) Y(47) Y(48) Y(49) Y(50) Y(51) Y(52) Y(53) Y(54) Y(55) Y(56) Y(5\
       7) Y(58) Y(59) Y(60) Y(61) Y(62) Y(63) H(1) H(2) H(3) H(4) H(5) H(6) H(7)
    ==> //        block   2 : ordering C
    ==> // noncommutative relations: ...
    setring ncAlgebra;
    // ...  2541  noncommutative relations

See also: makeUe6; makeUe7; makeUe8; makeUf4; makeUg2; makeUsl; makeUso5; makeUsp1.

User manual for Singular version 4.4.1, 2025, generated by texi2html.